plot.world <- function( xlim, ylim )
{
	rmp<-as.vector(scan("rmp"))
	gwm <-matrix(scan("gwm_2.fmt"),ncol=2,byrow=T)
	lon<-gwm[,1]
	lat<-gwm[,2]
	#postscript(file="map.file",horizontal=T) # put your device driver here
	plot(lon, lat, type = "n", xlab = "Longitude", ylab ="Latitude"
	   ,ylim=c(-90, 90),xlim=c(-180,180))
#	   ,ylim=ylim, xlim=xlim)
	rmp1 <- cumsum(rmp)
	rmp1 <- append(rmp1, 0, 0)
	for(j in 1:(length(rmp1) - 1)) {
        	i1 <<- rmp1[j] + 1
	        i2 <<- rmp1[j + 1]
        	lines(lon[i1:i2], lat[i1:i2])
	}
}
